Troubleshooting

  • Minimum device requirements

    Path Path is currently compatible with the following operating systems: For iPhones/iPods: iOS 7.0+ ...

    Mar 30, 2017 12:10PM SGT